People and groups
Update a detected contributor
Update a detected contributor
curl --request PATCH \
--url https://agentgateway.atlan.engineering/registry/v1/detected-users/{workspace_id}/{email} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"detection_status": "<string>",
"resolved_email": "<string>",
"resolved_via": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
detection_status: '<string>',
resolved_email: '<string>',
resolved_via: '<string>'
})
};
fetch('https://agentgateway.atlan.engineering/registry/v1/detected-users/{workspace_id}/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/detected-users/{workspace_id}/{email}"
payload = {
"detection_status": "<string>",
"resolved_email": "<string>",
"resolved_via": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"detection_status": "<string>",
"email": "<string>",
"workspace_id": "<string>",
"invited_at": "<string>",
"joined_at": "<string>",
"project_ids": [
"<string>"
],
"resolved_email": "<string>",
"resolved_via": "<string>"
}{
"code": "invalid_json",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_type",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Update a detected contributor
curl --request PATCH \
--url https://agentgateway.atlan.engineering/registry/v1/detected-users/{workspace_id}/{email} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"detection_status": "<string>",
"resolved_email": "<string>",
"resolved_via": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
detection_status: '<string>',
resolved_email: '<string>',
resolved_via: '<string>'
})
};
fetch('https://agentgateway.atlan.engineering/registry/v1/detected-users/{workspace_id}/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/detected-users/{workspace_id}/{email}"
payload = {
"detection_status": "<string>",
"resolved_email": "<string>",
"resolved_via": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"detection_status": "<string>",
"email": "<string>",
"workspace_id": "<string>",
"invited_at": "<string>",
"joined_at": "<string>",
"project_ids": [
"<string>"
],
"resolved_email": "<string>",
"resolved_via": "<string>"
}{
"code": "invalid_json",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_type",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}